package com.xmomen.module.resource.api;

/**
 * DfsPath 类用于表示分布式文件系统（DFS）中文件的路径信息。
 * 它包含了文件的 HTTP 访问路径和存储服务器上的远程路径。
 */
public class DfsPath {

    /**
     * 完整的 HTTP 访问路径，格式类似于 http://.../bucketName/remotePath。
     * 该路径可用于在网络上直接访问文件。
     */
    private String httpPath;

    /**
     * 文件在存储服务器上的路径。
     * 它表示文件在存储服务器的实际存储位置。
     */
    private String remotePath;

    /**
     * 默认构造函数，用于创建一个 DfsPath 对象，其属性初始值为 null。
     */
    public DfsPath() {

    }

    /**
     * 带参数的构造函数，用于创建一个具有指定 HTTP 路径和远程路径的 DfsPath 对象。
     *
     * @param httpPath 文件的完整 HTTP 访问路径
     * @param remotePath 文件在存储服务器上的路径
     */
    public DfsPath(String httpPath, String remotePath) {
        this.httpPath = httpPath;
        this.remotePath = remotePath;
    }

    /**
     * 获取文件的完整 HTTP 访问路径。
     *
     * @return 文件的 HTTP 访问路径
     */
    public String getHttpPath() {
        return httpPath;
    }

    /**
     * 设置文件的完整 HTTP 访问路径。
     *
     * @param httpPath 要设置的 HTTP 访问路径
     */
    public void setHttpPath(String httpPath) {
        this.httpPath = httpPath;
    }

    /**
     * 获取文件在存储服务器上的路径。
     *
     * @return 文件在存储服务器上的路径
     */
    public String getRemotePath() {
        return remotePath;
    }

    /**
     * 设置文件在存储服务器上的路径。
     *
     * @param remotePath 要设置的存储服务器上的路径
     */
    public void setRemotePath(String remotePath) {
        this.remotePath = remotePath;
    }
}